Subversion für Mac OS X

14 Sep 2015

Wenn man Subversion auf dem Mac Terminal verwenden möchte und folgende Meldung erhält

svn: This client is too old to work with working copy '.'

dann braucht man wohl eine aktuellere Version als die von Apple gelieferte.

  1. Lade die passende Version von http://www.wandisco.com/subversion/download#osx und installiere sie
  2. Aktualisiere deinen PATH (mit vim ~/.bash_profile) und setze /opt/subversion/bin noch vor alles export PATH=/opt/subversion/bin:${PATH}
  3. Profil noch mal laden . ~/.bash_profile
  4. svn --versionsollte jetzt die aktuellste Version anzeigen

Bei Problemen sollten allen alten Subversionen Dateien aus /usr/bin/ mit sudo rm /usr/bin/svn* gelöscht werden.

{{ jscomments() }}

Add a comment